%define name lifeograph
%define version 1.4.2

Summary:	A diary to take personal notes on life
Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
Source:	    https://launchpad.net/lifeograph/trunk/0.5.1/%{name}-%{version}.tar.xz
Source1:	lifeograph.desktop
License:	GPLv3
Group:		Office
URL:		http://launchpad.net/lifeograph
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#-------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}atkmm1.6-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}cairomm1.0-devel
BuildRequires: %{_lib}enchant-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}glibmm2.4-devel
BuildRequires: %{_lib}gpg-error-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}gtkmm3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}pangomm2.4-devel
BuildRequires: %{_lib}sigc++2.0_0-devel
BuildRequires: libgnomekbd-common
#-------------------------------------
Obsoletes: %name < %version


%description
Lifeograph is a diary program to take personal notes on life. 

%description -l de
Lifeograph ist ein Tagebuch-Programm Notizen über das Leben zu nehmen. 


%prep
%setup -q


%build

%cmake

%make

%install
rm -rf %buildroot
%makeinstall_std -C build

mkdir -p %buildroot/%{_datadir}/applications
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications

%find_lang %{name}

%clean
rm -rf %{buildroot}


%files -f %{name}.lang 
%defattr(-,root,root)
%{_bindir}/lifeograph
%{_datadir}/appdata/lifeograph.appdata.xml
%{_datadir}/applications/lifeograph.desktop
%{_datadir}/icons/hicolor/*/apps/lifeograph.png
%{_datadir}/icons/hicolor/*/apps/lifeograph*.svg
%{_datadir}/lifeograph
%{_datadir}/pixmaps/lifeograph.png

%changelog
* Sat Dec 09 2017 adrianomorselli <adrianomorselli> 1.4.2-1uplos2017
- update
* Tue May 02 2017 bb2 <bb2> - 1.4.2-1pclos2017
- new version
